View Issue Details

IDProjectCategoryView StatusLast Update
0000085Bacula-Webbug-pgsqlpublic2013-11-19 15:05
ReporterstrangeAssigned Todavide 
PrioritynormalSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformUbuntu 12.04 (x64)OSUbuntu 12.04 (x64)OS VersionUbuntu 12.04 (x6
Product Version5.2.11 
Target Version5.2.12Fixed in Version5.2.12 
Summary0000085: pgsql bug with Pools and volumes widget when more than 9 Pools
Descriptionall works fine with bacula-web 5.2.6 with 3 remote bacula server. but bacula-web 5.2.11 don't work :
"Database error
Message: SQLSTATE[42601]: Syntax error: 7 ERROR: LIMIT #,# syntax is not supported LINE 1: ...T SUM(numvols) AS sum_vols FROM Pool GROUP BY name LIMIT 9,2 ^ HINT: Use separate LIMIT and OFFSET clauses."

The test page works except for the mysql and slqlite support, normal ( see the File).
Additional InformationServer bacula-web : ubuntu 12.04.1 LTS with ubuntu-desktop
Server bacula : ubuntu 12.04.1 LTS + postgresql 9.1

config.php
$config['show_inactive_clients'] = true;
$config['hide_empty_pools'] = false;
$config['language'] = 'en_US';

$config[0]['label'] = 'Prod Server';
$config[0]['host'] = 'yyy';
$config[0]['login'] = 'postgres';
$config[0]['password'] = 'xxxxxxxx';
$config[0]['db_name'] = 'bacula';
$config[0]['db_type'] = 'pgsql';
$config[0]['db_port'] = '5432';

$config[1]['label'] = 'Prod Server';
$config[1]['host'] = 'yyy';
$config[1]['login'] = 'postgres';
$config[1]['password'] = 'xxxxxxxx';
$config[1]['db_name'] = 'bacula';
$config[1]['db_type'] = 'pgsql';
$config[1]['db_port'] = '5432';

$config[2]['label'] = 'Prod Server';
$config[2]['host'] = 'yyy';
$config[2]['login'] = 'postgres';
$config[2]['password'] = 'xxxxxxxx';
$config[2]['db_name'] = 'bacula';
$config[2]['db_type'] = 'pgsql';
$config[2]['db_port'] = '5432';
TagsNo tags attached.

Relationships

duplicate of 0000068 closeddavide pgsql bug with Pools graph in dashboard 

Activities

strange

2013-01-16 15:21

reporter  

Capture.JPG (139,510 bytes)
Capture.JPG (139,510 bytes)

davide

2013-01-18 13:21

manager   ~0000204

A fix will be included in next version

strange

2013-01-21 09:58

reporter   ~0000205

thank you. I had not seen that there was the same error.
I expect the next version.

davide

2013-01-25 13:49

manager   ~0000210

Bug fixed in Bacula-Web 5.2.12

davide

2013-11-19 15:05

manager   ~0000323

Issue closed

Issue History

Date Modified Username Field Change
2013-01-16 15:21 strange New Issue
2013-01-16 15:21 strange File Added: Capture.JPG
2013-01-18 13:21 davide Relationship added duplicate of 0000068
2013-01-18 13:21 davide Note Added: 0000204
2013-01-18 13:21 davide Assigned To => davide
2013-01-18 13:21 davide Status new => assigned
2013-01-21 09:58 strange Note Added: 0000205
2013-01-24 11:19 davide Summary bacula-web 5.2.11 => pgsql bug with Pools and volumes widget when more than 9 Pools
2013-01-24 11:45 davide Product Version => 5.2.11
2013-01-24 11:45 davide Target Version => 5.2.12
2013-01-25 13:49 davide Note Added: 0000210
2013-01-25 13:49 davide Status assigned => resolved
2013-01-25 13:49 davide Fixed in Version => 5.2.12
2013-01-25 13:49 davide Resolution open => fixed
2013-11-19 15:05 davide Status resolved => closed
2013-11-19 15:05 davide Note Added: 0000323